﻿using System;
using ToolQit;

namespace SharpRss.Models
{
    public class CategoryModel
    {
        public CategoryModel()
        {
            HexColor = Utilities.GenerateRandomHexColor();
            Id = Guid.NewGuid().ToString();
        }

        public string Name { get; set; } = string.Empty;
        public string HexColor { get; set; }
        public int FeedCount { get; set; }
        public string Icon { get; set; } = string.Empty;
        public string Id { get; set; }
    }
}
