﻿using System;

namespace SharpRss.Models
{
	public class FeedItemModel
	{
        public string? Id { get; set; } = string.Empty;
		// FeedId will be removed
        public string? FeedId { get; set; } = string.Empty;
		public string FeedUrl { get; set; } = string.Empty;
		public bool Read { get; set; }
		public string? Type { get; set; } = string.Empty;
		public string? Title { get; set; } = string.Empty;
		public string? Description { get; set; } = string.Empty;
		public string? Link { get; set; } = string.Empty;
		public DateTimeOffset? LastUpdated { get; set; }
		public DateTimeOffset? PublishingDate { get; set; }
		public string[]? Authors { get; set; }
		public string[]? Categories { get; set; }
		public string? Content { get; set; } = string.Empty;
		public string? CommentsUrl { get; set; } = string.Empty;
		public string? HexColor { get; set; } = string.Empty;
	}
}
